{
Copyright (C) 2002-2020  Massimo Melina (www.rejetto.com)

This file is part of HFS ~ HTTP File Server FR.

    HFS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    HFS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HFS; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Internationalized & localized for HFS ~ HTTP File Server by SilentPliz - 2011-2020  <silentpliz@gmail.com>
}

unit Licence; //created by SilentPliz 10-31-2010

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, ExtCtrls, StdCtrls, ComCtrls, Buttons,
  Menus, StdActns, ActnList, XPStyleActnCtrls, ActnMan, gnugettext;

type
  TForm1 = class(TForm)
    sLabel1: TLabel;
    sLabel2: TLabel;
    LicencePopup: TPopupMenu;
    SaveLicenceToFile1: TMenuItem;
    SaveLicence: TSaveDialog;
    Copier1: TMenuItem;
    outslectionner1: TMenuItem;
    N1: TMenuItem;
    ActionList1: TActionList;
    EditCopy1: TEditCopy;
    EditSelectAll1: TEditSelectAll;
    okBtn: TButton;
    sSpeedButton6: TSpeedButton;
    LicenceFR: TSpeedButton;
    licenceUS: TSpeedButton;
    sSpeedButton1: TSpeedButton;
    LicenceEdit1: TRichEdit;
    procedure sSpeedButton6Click(Sender: TObject);
    procedure LicenceFRClick(Sender: TObject);
    procedure licenceUSClick(Sender: TObject);
    procedure LicenceEdit1Enter(Sender: TObject);
    procedure SaveLicenceToFile1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

uses main, utilLib;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  TranslateComponent (self);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  RetranslateComponent (self);
end;

procedure TForm1.LicenceEdit1Enter(Sender: TObject);
begin
LicenceEdit1.TEXT:=getRes('licence');
LicenceEdit1.DefAttributes.Color := clWindowText;
end;

procedure TForm1.LicenceFRClick(Sender: TObject);
begin
LicenceEdit1.TEXT:=getRes('licencefr');
LicenceEdit1.DefAttributes.Color := clWindowText;
end;

procedure TForm1.licenceUSClick(Sender: TObject);
begin
LicenceEdit1.TEXT:=getRes('licence');
LicenceEdit1.DefAttributes.Color := clWindowText;
end;

procedure TForm1.SaveLicenceToFile1Click(Sender: TObject);
begin
  SaveLicence.Execute;
  if SaveLicence.FileName<>'' then
  LicenceEdit1.Lines.SaveToFile(SaveLicence.FileName);
  begin
    if SaveLicence.FileName<>'' then
  tray.balloon(_('La Licence a ete sauvee vers :'#13#10)+SaveLicence.FileName, 'info', _('HFS - Sauver la Licence dans un fichier'),7)
 end;
end;

procedure TForm1.sSpeedButton6Click(Sender: TObject);
begin
openURL('http://www.rejetto.com/hfs/')
end;

end.
